Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

assetdiscovery_ow

Grants organization-level to create or modify seed groups and seeds.

asset_client_lw

Grants listing-level to write seed groups and seeds.

Path Parameters

organizationUid
string
required

Unique identifier for an organization group. Unique identifier for an organization.

Pattern: ^[-_0-9a-z]{1,50}

Body

application/json

Supply Asset UID for the asset to upsert

name
string
required
autoConfirmationEnabled
boolean
seeds
object[]
tags
string[]
Pattern: ^[-_0-9a-zA-Z]{1,16}

Response

The current state of the requested asset.

seedGroup
object

The created seed group

failedSeedValidations
object[]
read-only

Array of failed validation rules for the seeds.